メインコンテンツへスキップ
GET /api/v1/cloud/memory_stores/{memory_store_id}/memories Memory エントリを一覧取得します。content は返しません。

パスパラメータ

パラメータ説明
memory_store_idストア ID(memstore_...

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer <PAT>

クエリパラメータ

パラメータ必須説明
path_prefixstringいいえパスがこのプレフィックスで始まるエントリをフィルタします

リクエスト例

curl "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memories?path_prefix=decisions/" \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス

{
  "data": [
    {
      "id": "mem_...",
      "type": "memory",
      "memory_store_id": "memstore_...",
      "path": "decisions/arch-choice.md",
      "content_size_bytes": 46,
      "content_sha256": "a1b2c3...",
      "version": 1,
      "metadata": {},
      "created_at": "2026-05-18T08:01:00.000Z",
      "updated_at": "2026-05-18T08:01:00.000Z"
    }
  ],
  "has_more": false,
  "first_id": "mem_...",
  "last_id": "mem_..."
}
list エンドポイントは content を返しません。完全なコンテンツを読み取るには取得エンドポイントを使用してください。